Bug 758261 - A bad drift definition can prevent agent startup
A bad drift definition can prevent agent startup
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent, drift (Show other bugs)
4.2
All All
urgent Severity urgent (vote)
: ---
: RHQ 4.3.0,JON 3.0.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: jon30-sprint9
  Show dependency treegraph
 
Reported: 2011-11-29 11:31 EST by Jay Shaughnessy
Modified: 2012-02-07 14:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:20:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2011-11-29 11:31:22 EST
With agent down:

1) Create a drift definition with a missing or invalid base directory

2) Try to start agent

The agent will not start up do to exceptions thrown in the drift sync.
Comment 1 Charles Crouch 2011-11-30 10:40:42 EST
As this is already fixed in master, and easy to test, please push to the release branch, and set to on-qa
Comment 2 John Mazzitelli 2011-11-30 11:34:00 EST
I confirm this is fixed in master. I created a drift definition with a non-existence file path and I see this in the agent log but the agent started up fine otherwise:

2011-11-30 11:30:42,268 WARN  [pool-3-thread-1] (rhq.core.pc.drift.DriftDetector)- The base directory [/this/is/bogus/foo] for DriftDetectionSchedule[resourceId: 10001, driftDefinitionId: 0, driftDefinitionName: Template-File System] does not exist. You may want review the drift definition and verify that the value of the base directory is in fact correct.

It is not documented which git commit sha this was that fixed this. Someone needs to find it and cherry pick it over to the release branch.
Comment 3 Jay Shaughnessy 2011-11-30 12:02:36 EST
master commit 8939b50bf8bee6f4b0037885026abdcd2f79946a

  -- verified by mazz (see above)
Comment 4 John Mazzitelli 2011-11-30 12:13:24 EST
cherry picked to release branch: dee518db2b8c61813bf1cdad229f6388c0c4ec61
Comment 5 Sunil Kondkar 2011-12-01 06:50:24 EST
Verified on JON3-CR4 build.

Created a drift definition with invalid base directory when agent is down. Started the agent. The agent is started successfully and the agent log displays below:


2011-12-01 17:15:39,636 WARN  [pool-9-thread-1] (rhq.core.pc.drift.DriftDetector)- The base directory [/stores/tests] for DriftDetectionSchedule[resourceId: 10001, driftDefinitionId: 0, driftDefinitionName: Def1-Template-File System] does not exist. You may want review the drift definition and verify that the value of the base directory is in fact correct.
Comment 6 Mike Foley 2012-02-07 14:20:33 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.